<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: tokenizer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_f6486992fdfcc735347cc2d407578037.html">FaceFilterSDK</a></li><li class="navelem"><a class="el" href="dir_80a4fd4d67846ee877317f9ddd7282cb.html">DlibWrapper</a></li><li class="navelem"><a class="el" href="dir_9b7b8713e4f43f3006d0cb3c779d469e.html">dlib</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tokenizer.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (C) 2005  Davis E. King (davis@dlib.net)</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// License: Boost Software License   See LICENSE.txt for the full license.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef DLIB_TOKENIZEr_</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define DLIB_TOKENIZEr_</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;tokenizer/tokenizer_kernel_1.h&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;tokenizer/tokenizer_kernel_c.h&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacedlib.html">dlib</a></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;{</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classdlib_1_1tokenizer.html">   13</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdlib_1_1tokenizer.html">tokenizer</a></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <a class="code" href="classdlib_1_1tokenizer.html">tokenizer</a>() {}</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        </div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="comment">//----------- kernels ---------------</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="comment">// kernel_1a        </span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">typedef</span>     <a class="code" href="classdlib_1_1tokenizer__kernel__1.html">tokenizer_kernel_1</a></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;                    <a class="code" href="classdlib_1_1tokenizer__kernel__1.html">kernel_1a</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keyword">typedef</span>     <a class="code" href="classdlib_1_1tokenizer__kernel__c.html">tokenizer_kernel_c&lt;kernel_1a&gt;</a></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;                    <a class="code" href="classdlib_1_1tokenizer__kernel__c.html">kernel_1a_c</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;          </div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    };</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#endif // DLIB_TOKENIZEr_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassdlib_1_1tokenizer__kernel__1_html"><div class="ttname"><a href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></div><div class="ttdef"><b>Definition:</b> tokenizer_kernel_1.h:15</div></div>
<div class="ttc" id="aclassdlib_1_1tokenizer__kernel__c_html"><div class="ttname"><a href="classdlib_1_1tokenizer__kernel__c.html">dlib::tokenizer_kernel_c&lt; kernel_1a &gt;</a></div></div>
<div class="ttc" id="aclassdlib_1_1tokenizer_html"><div class="ttname"><a href="classdlib_1_1tokenizer.html">dlib::tokenizer</a></div><div class="ttdef"><b>Definition:</b> tokenizer.h:13</div></div>
<div class="ttc" id="anamespacedlib_html"><div class="ttname"><a href="namespacedlib.html">dlib</a></div><div class="ttdef"><b>Definition:</b> algs.h:119</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
